<?php

namespace Drupal\pagedesigner\Plugin\pagedesigner\Handler;

use Drupal\pagedesigner\Entity\Element;

/**
 * Process entities of type "container".
 *
 * @PagedesignerHandler(
 *   id = "container",
 *   name = @Translation("Container render"),
 *   types = {
 *     "container",
 *   },
 * )
 */
class Container extends Cell {

  /**
   * {@inheritdoc}
   */
  public function renderForPublic(Element $entity, array &$build) {
    parent::renderForPublic($entity, $build);
    $build['#prefix'] = '<section class="pd-content pd-live container-fluid">';
    $build['#suffix'] = '</section>';

  }

  /**
   * {@inheritdoc}
   */
  public function render(Element $entity, array &$build = []) {
    parent::render($entity, $build);
    $build['#prefix'] = '<section class="pd-content pd-live container-fluid">';
    $build['#suffix'] = '</section>';
  }

  /**
   * {@inheritdoc}
   */
  public function renderForEdit(Element $entity, array &$build = []) {
    parent::renderForEdit($entity, $build);
    $build['#prefix'] = '<section data-grapes-block="content" data-gjs-draggable="false" data-gjs-droppable="true" data-entity-id="' . $entity->id() . '" data-gjs-type="container" class="pd-content pd-edit container-fluid">';
    $build['#suffix'] = '</section>';
  }

}
